NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::CornerDesignBuilder Class Reference

Represents a NXOpen::Tooling::CornerDesignBuilder , Corner Design is to provide tools to make corner. More...

Inheritance diagram for NXOpen::Tooling::CornerDesignBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CornerTypeOpt { CornerTypeOptChamfer, CornerTypeOptFillet, CornerTypeOptMickey, CornerTypeOptBunnyEar }
 the corner types More...
 
enum  SelectFromOpt { SelectFromOptBoth, SelectFromOptPartBody, SelectFromOptPocketBody }
 the object selection options. More...
 
enum  Types { TypesCreate, TypesEdit, TypesDelete }
 The corner design type. More...
 

Public Member Functions

NXOpen::ExpressionChamferAngle ()
 Returns the chamfer angle. More...
 
NXOpen::Tooling::CornerDesignBuilder::CornerTypeOpt CornerType ()
 Returns the corner type
Created in NX8.0.0. More...
 
NXOpen::DirectionFirstVectorForBunnyEar ()
 Returns the first vector for bunny ear
Created in NX12.0.0. More...
 
NXOpen::ExpressionOffset ()
 Returns the offset. More...
 
NXOpen::ExpressionRadiusDia ()
 Returns the corner radius. More...
 
NXOpen::DirectionSecondVectorForBunnyEar ()
 Returns the second vector for bunny ear
Created in NX12.0.0. More...
 
NXOpen::Features::SelectFeatureListSelectCorner ()
 Returns the selected corner. More...
 
NXOpen::SelectEdgeListSelectEdge ()
 Returns the selected edge. More...
 
NXOpen::Tooling::CornerDesignBuilder::SelectFromOpt SelectFrom ()
 Returns the selection options. More...
 
void SetCornerType (NXOpen::Tooling::CornerDesignBuilder::CornerTypeOpt cornerType)
 Sets the corner type
Created in NX8.0.0. More...
 
void SetFirstVectorForBunnyEar (NXOpen::Direction *firstVectorForBunnyEar)
 Sets the first vector for bunny ear
Created in NX12.0.0. More...
 
void SetSecondVectorForBunnyEar (NXOpen::Direction *secondVectorForBunnyEar)
 Sets the second vector for bunny ear
Created in NX12.0.0. More...
 
void SetSelectFrom (NXOpen::Tooling::CornerDesignBuilder::SelectFromOpt selectFrom)
 Sets the selection options. More...
 
void SetType (NXOpen::Tooling::CornerDesignBuilder::Types type)
 Sets the operation type of corner design. More...
 
NXOpen::Tooling::CornerDesignBuilder::Types Type ()
 Returns the operation type of corner design. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::CornerDesignBuilder , Corner Design is to provide tools to make corner.


To create a new instance of this class, use NXOpen::Tooling::CornerDesignCollection::CreateCornerDesignBuilder
Default values.

Property Value

ChamferAngle.Value

45

CornerType

Chamfer

Offset.Value

1 (millimeters part), 0.1 (inches part)

RadiusDia.Value

5 (millimeters part), 0.5 (inches part)

SelectFrom

Both


Created in NX8.0.0.

Member Enumeration Documentation

the corner types

Enumerator
CornerTypeOptChamfer 

chamfer

CornerTypeOptFillet 

fillet

CornerTypeOptMickey 

mickey

CornerTypeOptBunnyEar 

bunny ear

the object selection options.

Enumerator
SelectFromOptBoth 

both part body and pocket body

SelectFromOptPartBody 

part body only

SelectFromOptPocketBody 

pocket body only

The corner design type.

Enumerator
TypesCreate 

Create operation.

TypesEdit 

Edit operation.

TypesDelete 

Delete operation.

Member Function Documentation

NXOpen::Expression* NXOpen::Tooling::CornerDesignBuilder::ChamferAngle ( )

Returns the chamfer angle.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::CornerDesignBuilder::CornerTypeOpt NXOpen::Tooling::CornerDesignBuilder::CornerType ( )

Returns the corner type
Created in NX8.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Tooling::CornerDesignBuilder::FirstVectorForBunnyEar ( )

Returns the first vector for bunny ear
Created in NX12.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::CornerDesignBuilder::Offset ( )

Returns the offset.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::CornerDesignBuilder::RadiusDia ( )

Returns the corner radius.


Created in NX8.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Tooling::CornerDesignBuilder::SecondVectorForBunnyEar ( )

Returns the second vector for bunny ear
Created in NX12.0.0.



License requirements : None

NXOpen::Features::SelectFeatureList* NXOpen::Tooling::CornerDesignBuilder::SelectCorner ( )

Returns the selected corner.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectEdgeList* NXOpen::Tooling::CornerDesignBuilder::SelectEdge ( )

Returns the selected edge.


Created in NX8.0.0.

License requirements : None

NXOpen::Tooling::CornerDesignBuilder::SelectFromOpt NXOpen::Tooling::CornerDesignBuilder::SelectFrom ( )

Returns the selection options.


Created in NX8.0.0.

License requirements : None

void NXOpen::Tooling::CornerDesignBuilder::SetCornerType ( NXOpen::Tooling::CornerDesignBuilder::CornerTypeOpt  cornerType)

Sets the corner type
Created in NX8.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
cornerTypecornertype
void NXOpen::Tooling::CornerDesignBuilder::SetFirstVectorForBunnyEar ( NXOpen::Direction firstVectorForBunnyEar)

Sets the first vector for bunny ear
Created in NX12.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
firstVectorForBunnyEarfirstvectorforbunnyear
void NXOpen::Tooling::CornerDesignBuilder::SetSecondVectorForBunnyEar ( NXOpen::Direction secondVectorForBunnyEar)

Sets the second vector for bunny ear
Created in NX12.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
secondVectorForBunnyEarsecondvectorforbunnyear
void NXOpen::Tooling::CornerDesignBuilder::SetSelectFrom ( NXOpen::Tooling::CornerDesignBuilder::SelectFromOpt  selectFrom)

Sets the selection options.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
selectFromselectfrom
void NXOpen::Tooling::CornerDesignBuilder::SetType ( NXOpen::Tooling::CornerDesignBuilder::Types  type)

Sets the operation type of corner design.


Created in NX8.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype
NXOpen::Tooling::CornerDesignBuilder::Types NXOpen::Tooling::CornerDesignBuilder::Type ( )

Returns the operation type of corner design.


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.